// read character via serial port and control LED color

#include <p30F2012.h>

int main(void) {
  char rxd;      

  TRISCbits.TRISC13=0;                 // RC13 is output (LED)
  PORTCbits.RC13   =0;                 // green LED on (RC13=0)  

  U1MODE=0x8400;                       // use UARX (U1ARX), N81
  U1BRG =95;                           // 19200bps      

  while(1) {                           // forever loop
    if (U1STAbits.URXDA==1) {          // if incoming data exists
      rxd=U1RXREG;                     // read incoming character
      if (rxd=='0') {                  // if receive '0'
        PORTCbits.RC13=0;              // green LED on (RC13=0)   
      } else if (rxd=='1') {           // else if recieve '1'
        PORTCbits.RC13=1;              // red LED on (RC13=1)
      } 
    }
  }

}